import { Injectable } from '@angular/core';
import { Observable } from 'rxjs/Observable';
import { RPCService } from '@loafer/ng-rpc';
import { MetaProbeTaskType } from '@overflow/commons-typescript/model/meta';

@Injectable()
export class MetaProbeTaskTypeService {

  public constructor(
    private rpcService: RPCService,
  ) {

  }

  public readAll(): Observable<MetaProbeTaskType[]> {
    return this.rpcService.call('MetaProbeTaskTypeService.readAll');
  }
}
